import request from '@/utils/request'

// 查询企业信息管理设备列表
export function listDevice(query) {
  return request({
    url: '/buyer/device/list',
    method: 'get',
    params: query
  })
}

// 查询设备是否存在
export function checkDeviceExits(query) {
  return request({
    url: '/buyer/device/check',
    method: 'get',
    params: query
  })
}

// 查询企业信息管理设备详细
export function getDevice(id) {
  return request({
    url: '/buyer/device/' + id,
    method: 'get'
  })
}

// 新增企业信息管理设备
export function addDevice(data) {
  return request({
    url: '/buyer/device',
    method: 'post',
    data: data
  })
}

// 修改企业信息管理设备
export function updateDevice(data) {
  return request({
    url: '/buyer/device',
    method: 'put',
    data: data
  })
}

// 删除企业信息管理设备
export function delDevice(id) {
  return request({
    url: '/buyer/device/' + id,
    method: 'delete'
  })
}
